
uniform int vertextype;

uniform sampler2D tex;
uniform int vertexcolor;
uniform int fb_texture;

varying vec4 pos;

void main()
{
	vec4 texture_color = texture2D(tex, gl_TexCoord[0].st);
	vec4 color;
	
	if(vertexcolor == 1) color = gl_Color;
	else
	{
		if(fb_texture == 1 && texture_color.rgb == vec3(0.0, 0.0, 0.0)) discard;
		
		if(texture_color.a == 0.0) discard;
		
		color = gl_Color * texture_color;
	}
	
	gl_FragColor = color;
}
